"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileWriterImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const fs = (0, tslib_1.__importStar)(require("fs"));
const path = (0, tslib_1.__importStar)(require("path"));
let FileWriterImpl = class FileWriterImpl {
    constructor() { }
    write(outputDirectory, fileName, contentBase64) {
        const outputDirectoryPath = path.join(outputDirectory, fileName);
        if (!fs.existsSync(outputDirectory)) {
            fs.mkdirSync(outputDirectory);
        }
        fs.writeFileSync(outputDirectoryPath, Buffer.from(contentBase64, "base64"));
    }
};
FileWriterImpl = (0, tslib_1.__decorate)([
    (0, inversify_1.injectable)(),
    (0, tslib_1.__metadata)("design:paramtypes", [])
], FileWriterImpl);
exports.FileWriterImpl = FileWriterImpl;
